Patchwork [0/1] populate_sdk_rpm: add python to nativesdk INSTALL_PROVIDESNAME_RPM list

login
register
mail settings
Submitter wenzong.fan@windriver.com
Date Oct. 11, 2013, 10:06 a.m.
Message ID <cover.1381485178.git.wenzong.fan@windriver.com>
Download mbox
Permalink /patch/59649/
State New
Headers show

Pull-request

git://git.pokylinux.org/poky-contrib wenzong/nativesdk-ignore-python

Comments

wenzong.fan@windriver.com - Oct. 11, 2013, 10:06 a.m.
From: Wenzong Fan <wenzong.fan@windriver.com>

If any native SDK packages involve python scripts that start with
'#!/usr/bin/python', then the populate_sdk step will fail with:

    error: Can't install nativesdk-xxx-$ver@x86_64_nativesdk: \
    no package provides /usr/bin/python

Just like perl, we also need to add python to INSTALL_PROVIDESNAME_RPM
list to fix this issue.

The following changes since commit 102bf5e0f640fe85068452a42b85077f1c81e0c9:

  build-appliance: Update SRCREV for release (2013-10-08 16:33:43 +0100)

are available in the git repository at:

  git://git.pokylinux.org/poky-contrib wenzong/nativesdk-ignore-python
  http://git.pokylinux.org/cgit.cgi/poky-contrib/log/?h=wenzong/nativesdk-ignore-python

Wenzong Fan (1):
  populate_sdk_rpm: add python to nativesdk INSTALL_PROVIDESNAME_RPM
    list

 meta/classes/populate_sdk_rpm.bbclass |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Saul Wold - Oct. 16, 2013, 9:26 p.m.
On 10/11/2013 03:06 AM, wenzong.fan@windriver.com wrote:
> From: Wenzong Fan <wenzong.fan@windriver.com>
>
> If any native SDK packages involve python scripts that start with
> '#!/usr/bin/python', then the populate_sdk step will fail with:
>
>      error: Can't install nativesdk-xxx-$ver@x86_64_nativesdk: \
>      no package provides /usr/bin/python
>
There is a different problem, these should be using /usr/bin/env python 
not /usr/bin/python.  Since the nativesdk ships with a python binary to 
ensure that we have a correct and known version of python to work with.

What every is getting packaged with /usr/bin/python needs to be fixed.

> Just like perl, we also need to add python to INSTALL_PROVIDESNAME_RPM
> list to fix this issue.
>
perl is different, we don't care so much about perl's version as we do 
with python, perl is more forgiving.

> The following changes since commit 102bf5e0f640fe85068452a42b85077f1c81e0c9:
>
>    build-appliance: Update SRCREV for release (2013-10-08 16:33:43 +0100)
>
> are available in the git repository at:
>
>    git://git.pokylinux.org/poky-contrib wenzong/nativesdk-ignore-python
>    http://git.pokylinux.org/cgit.cgi/poky-contrib/log/?h=wenzong/nativesdk-ignore-python
>
> Wenzong Fan (1):
>    populate_sdk_rpm: add python to nativesdk INSTALL_PROVIDESNAME_RPM
>      list
>
>   meta/classes/populate_sdk_rpm.bbclass |    2 +-
>   1 file changed, 1 insertion(+), 1 deletion(-)
>